Thursday, November 20, 2014

Dart one year later : AngularDart one week later

Looking at my commit history I realized that a week has past since I started evaluating angular dart for koparo.com. This is also the day that I decided we won't go forward with angular or polymer for that matter for the foreseeable future.

The good, the bad & the ugly is the subject of this post. If you want to get an insight to why we are backing out read on - we will also probably stick to dart itself.
changeset:   0:394d16883231
user:        Adam Wolk <adam.wolk@koparo.com>
date:        Wed Nov 12 14:59:34 2014 +0100
summary:     Initial commit

Wednesday, November 12, 2014

Fixing pub build on debian

After a long break I'm giving dart a second try this time with the newly released angular dart 1.0 in mind. It didn't took long to hit a problem when trying to integrate the code with the automated deployment jobs we run at koparo.com.

Google does provide sdk packages for debian though out of the box when you try pub build with an angular app you will probably hit the following problem:
Error loading transformer: Illegal argument(s): sdkDirectory must be provided.